declare global {
  interface Window {
    __CURIO_GET_SESSION__(): Promise<MainUseCase>
    __CURIO_REGISTER_VIEW__(reducers: any, epics: any): void
  }
}

declare module 'curiojs' {
  const n: any
  export default n
}

declare module '*.scss' {
  const obj: any
  export default obj
}

declare module '*.sass' {
  const obj: any
  export default obj
}

declare module '*.json' {
  const json: any
  export const version: any
  export default json
}
declare module '*.env' {
  const json: any
  export default json
}
declare module '*.png' {
  const obj: any
  export default json
}

declare module '*.svg' {
  const obj: any
  export default json
}

declare namespace NodeJS {
  interface ProcessEnv {
    NODE_ENV: 'development' | 'production'
    PROFILE: any
    APP_TITLE: string
  }
}

declare global {
  declare module '*.svg' {
    const obj: any
    export default json
  }
  interface Window {
    __CURIO_GET_SESSION__(): Promise<MainUseCase>
    __CURIO_REGISTER_VIEW__(reducers: any, epics: any): void
  }
  declare const VERSION
}

declare const VERSION
